(function ($) {
    'use strict';

    /**
     * All of the code for your public-facing JavaScript source
     * should reside in this file.
     *
     * Note: It has been assumed you will write jQuery code here, so the
     * $ function reference has been prepared for usage within the scope
     * of this function.
     *
     * This enables you to define handlers, for when the DOM is ready:
     *
     * $(function() {
     *
     * });
     *
     * When the window is loaded:
     *
     * $( window ).load(function() {
     *
     * });
     *
     * ...and/or other possibilities.
     *
     * Ideally, it is not considered best practise to attach more than a
     * single DOM-ready or window-load handler for a particular page.
     * Although scripts in the WordPress core, Plugins and Themes may be
     * practising this, we should strive to set a better example in our own work.
     */
    jQuery(document).on('change', 'input[name="payment_method"]', function () {
        jQuery('body').trigger('update_checkout');
    });
    if (jQuery('#billing_state').length) {
        jQuery(document).on('change', '#billing_state', function () {
            jQuery('body').trigger('update_checkout');
        });
    }
    jQuery( document ).ready(function( $ ) {
        jQuery(document).on('click', '.checbox_row', function(e){
            if ("checkbox" !== e.target.type) {
                if(jQuery(this).find('.input-checkbox').is(':checked')) {
                    jQuery(this).find('.input-checkbox').prop('checked',false);
                } else {
                    jQuery(this).find('.input-checkbox').prop('checked',true);
                }
            }
            jQuery('body').trigger('update_checkout');
        });
        var reload_for_fee = true;
        jQuery( document ).ajaxComplete(function( event, request, settings ) {
            if( settings.url.indexOf('update_order_review') > -1 && reload_for_fee && jQuery('.input-checkbox:checked').length > 0 ) {
                jQuery('body').trigger('update_checkout');
                reload_for_fee = false;
            }
        });

        jQuery(document).on('click', ".wcpfc-fee-tooltip", function(){
            jQuery(".wcpfc-fee-tooltiptext").toggle();
        });
    });
})(jQuery);